ee:object_storage_aws:
  extends:
    - .rules:ee-never-when-triggered-by-feature-flag-definition-change
    - .test
    - .high-capacity
    - .ee-variables
    - .rspec-report-opts
    - .combined-gitlab-qa-options-script
  parallel: 2
  variables:
    GITLAB_QA_OPTIONS_COMBINED: "$GITLAB_QA_OPTIONS --omnibus-config object_storage_aws"
    QA_RSPEC_TAGS: "--tag object_storage"

ee:object_storage_aws-quarantine:
  extends:
    - .rules:ee-never-when-triggered-by-feature-flag-definition-change
    - .test
    - .high-capacity
    - .ee-variables
    - .quarantine
    - .rspec-report-opts
    - .combined-gitlab-qa-options-script
  variables:
    GITLAB_QA_OPTIONS_COMBINED: "$GITLAB_QA_OPTIONS --omnibus-config object_storage_aws"
    QA_RSPEC_TAGS: "--tag quarantine --tag object_storage"
